Skip to main content
GET
/
call_events
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const callEventListResponse of client.callEvents.list()) {
  console.log(callEventListResponse.call_leg_id);
}
{
  "data": [
    {
      "record_type": "call_event",
      "call_leg_id": "308fe500-5213-11e9-ace7-02420a0f0668",
      "call_session_id": "308fec30-5213-11e9-9d3f-02420a0f0668",
      "event_timestamp": "2019-03-29T11:10:19.127783Z",
      "name": "call.hangup",
      "type": "webhook",
      "metadata": {}
    }
  ],
  "meta": {
    "total_pages": 3,
    "page_number": 2,
    "total_results": 55,
    "page_size": 25
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter
object

Consolidated filter parameter (deepObject style). Originally: filter[application_name][contains], filter[outbound.outbound_voice_profile_id], filter[leg_id], filter[application_session_id], filter[connection_id], filter[product], filter[failed], filter[from], filter[to], filter[name], filter[type], filter[occurred_at][eq/gt/gte/lt/lte], filter[status]

page
object

Consolidated page parameter (deepObject style). Originally: page[after], page[before], page[limit], page[size], page[number]

Response

Successful response with a list of call events.

data
Call Event · object[]
meta
object